package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.DeviceAj;
import com.bizmatics.mhfire.service.DeviceAjService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**

 * 设备案件
 * @author ya
 * @since 2021-11-25
 */
@RestController
@RequestMapping("/deviceAj")
public class DeviceAjController {


    @Autowired
    public DeviceAjService deviceAjService;


    /**
     * 分页
     * @param deviceType 设备类型
     * @param current 页数
     * @param size 条数
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<DeviceAj>> page(@RequestParam(required = false) String deviceType,
                                                @RequestParam Integer current,
                                                @RequestParam Integer size,
                                                @RequestParam(required = false) Date startTime,
                                                @RequestParam(required = false) Date endTime
                                                ){
        return ApiResult.success(deviceAjService.page(deviceType,current,size,startTime,endTime));
    }
}

